define(function () {

    var component = {};

    component.originalTemplate = "listTemplate";
    component.template = `
<wizdomWebpart data-v-22c24bb4 :environmentInfo="environmentInfo" :chromeProperties="webpartProperties.chromeProperties" chromeType="title" :webpartPadding="true" :paddingTop="10">
  <div data-v-22c24bb4 class="module-root">
    <toolbar data-v-22c24bb4
      ref="toolbarComponent"
      :personalizationEnabled="personalizationEnabled"
      :environmentInfo="environmentInfo"
      :view="view"
      :webpartProperties="webpartProperties"
      @toolbarChanged="toolbarChangedEvent"
    >
    </toolbar>  

    <div data-v-22c24bb4 v-bind:class="{ editMode: toolbarInEditMode }">
        <ListDraggable data-v-22c24bb4
          :view="view"
          :inLinkEditMode="toolbarInEditMode"
          :webpartProperties="webpartProperties"
          :environmentInfo="environmentInfo"
          @OrderChanged="setLinkOrder"
          @editLinkClicked="editLinkClickedEvent"
          @deleteLinkClicked="deleteLinkClickedEvent"
          @deleteCorporateLinkClicked="deleteCorporateLinkClickedEvent"
          @editCategoryClicked="editCategoryClickedEvent"
          @deleteCategoryClicked="deleteCategoryClickedEvent"
        />
      </div>
  </div>
</wizdomWebpart>
`;
    component.styles = `
/*
  Your use of the content in the files referenced here are subject to the terms of the license at http://aka.ms/fabric-font-license
*/
.ms-Pivot[data-v-22c24bb4] {
  font-family: "Segoe UI WestEuropean", "Segoe UI", -apple-system, BlinkMacSystemFont, "Roboto", "Helvetica Neue", sans-serif;
  -webkit-font-smoothing: antialiased;
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
  font-size: 14px;
  font-weight: 400;
}
.ms-Pivot-links[data-v-22c24bb4] {
  font-size: 0;
  height: 40px;
  list-style-type: none;
  padding: 0;
  white-space: nowrap;
}
.ms-Pivot-link[data-v-22c24bb4] {
  color: #333333;
  display: inline-block;
  font-size: 14px;
  font-weight: 400;
  line-height: 40px;
  margin-right: 8px;
  padding: 0 8px;
  text-align: center;
  vertical-align: top;
}
.ms-Pivot-link[data-v-22c24bb4]:hover {
    cursor: pointer;
}
.ms-Pivot-link[data-v-22c24bb4]::before {
    background-color: transparent;
    bottom: 0;
    content: '';
    height: 2px;
    left: 8px;
    position: absolute;
    right: 8px;
    transition: background-color 0.267s cubic-bezier(0.1, 0.25, 0.75, 0.9);
}
.ms-Pivot-link[data-v-22c24bb4]::after {
    color: transparent;
    content: attr(title);
    display: block;
    font-weight: bold;
    height: 1px;
    overflow: hidden;
    visibility: hidden;
}
.ms-Pivot-link.is-selected[data-v-22c24bb4] {
    font-weight: 600;
    position: relative;
}
.ms-Pivot-link.is-selected[data-v-22c24bb4]::before {
      background-color: #0078d7;
}
.ms-Pivot-link.is-disabled[data-v-22c24bb4] {
    color: #a6a6a6;
}
.ms-Pivot-link.ms-Pivot-link--overflow[data-v-22c24bb4] {
  color: #666666;
}
.ms-Pivot-link.ms-Pivot-link--overflow.is-selected[data-v-22c24bb4] {
    color: #0078d7;
}
.ms-Pivot-link.ms-Pivot-link--overflow[data-v-22c24bb4]:hover:not(.is-selected), .ms-Pivot-link.ms-Pivot-link--overflow[data-v-22c24bb4]:focus:not(.is-selected) {
    color: #212121;
}
.ms-Pivot-link.ms-Pivot-link--overflow[data-v-22c24bb4]:active {
    color: #0078d7;
}
.ms-Pivot-ellipsis[data-v-22c24bb4] {
  font-size: 15px;
  position: relative;
  top: 0;
}
.ms-Pivot-content[data-v-22c24bb4] {
  display: none;
  margin-top: 20px;
}
.ms-Pivot.ms-Pivot--large .ms-Pivot-link[data-v-22c24bb4] {
  font-size: 17px;
}
.ms-Pivot.ms-Pivot--large .ms-Pivot-link.is-selected[data-v-22c24bb4] {
    font-weight: 300;
}
.ms-Pivot.ms-Pivot--large .ms-Pivot-link.ms-Pivot-link--overflow[data-v-22c24bb4]::after {
  font-size: 17px;
}
.ms-Pivot.ms-Pivot--tabs .ms-Pivot-link[data-v-22c24bb4] {
  height: 40px;
  background-color: #f4f4f4;
  line-height: 40px;
  margin-right: -2px;
  padding: 0 10px;
}
.ms-Pivot.ms-Pivot--tabs .ms-Pivot-link[data-v-22c24bb4]:hover:not(.is-selected):not(.ms-Pivot-link--overflow), .ms-Pivot.ms-Pivot--tabs .ms-Pivot-link[data-v-22c24bb4]:focus:not(.is-selected):not(.ms-Pivot-link--overflow) {
    color: #000000;
}
.ms-Pivot.ms-Pivot--tabs .ms-Pivot-link[data-v-22c24bb4]:active {
    color: #ffffff;
    background-color: #0078d7;
}
.ms-Pivot.ms-Pivot--tabs .ms-Pivot-link.is-selected[data-v-22c24bb4] {
    background-color: #0078d7;
    color: #ffffff;
    font-weight: 300;
}
.ms-Pivot.ms-Pivot--tabs .ms-Pivot-link.ms-Pivot-link--overflow[data-v-22c24bb4]:hover:not(.is-selected), .ms-Pivot.ms-Pivot--tabs .ms-Pivot-link.ms-Pivot-link--overflow[data-v-22c24bb4]:focus:not(.is-selected) {
  background-color: #ffffff;
}
.ms-Pivot.ms-Pivot--tabs .ms-Pivot-link.ms-Pivot-link--overflow[data-v-22c24bb4]:active {
  background-color: #0078d7;
}
@media screen and (-ms-high-contrast: active) {
.ms-Pivot.ms-Pivot--tabs .ms-Pivot-link.is-selected[data-v-22c24bb4] {
    font-weight: 600;
}
}
.ms-Icon[data-v-22c24bb4] {
  color: "[theme:themePrimary, default: #333]";
}
.edit[data-v-22c24bb4] {
  color: "[theme:bodyText, default:#333]";
}
.ms-Pivot[data-v-22c24bb4] {
  margin-top: -2px;
  left: 20px;
}
.ms-Pivot-links[data-v-22c24bb4] {
  margin: 0 -8px 0 -4px;
  line-height: 30px;
}

/* isnt this replaced by chrome type ? */
.heading-container[data-v-22c24bb4] {
  background-color: #2a7877;
  height: 125px;
}
.heading-container .headline[data-v-22c24bb4] {
    position: absolute;
    bottom: 10px;
    margin-left: 15px;
    color: #fff;
}
.heading-container textarea.webpartTitle[data-v-22c24bb4] {
    height: 20px;
    overflow: hidden;
    white-space: pre;
    background-color: transparent;
    color: #ffffff;
}
.heading-Image[data-v-22c24bb4] {
  background-size: cover;
  background-position: 50% 50%;
  height: 125px;
}

/* end isnt this replaced by chrome type ? */
iframe[data-v-22c24bb4] {
  height: 30px;
  width: 30px;
  overflow: hidden;
}
.edit[data-v-22c24bb4] {
  margin-bottom: 20px;
  display: inline-block;
}
.edit .ms-Icon[data-v-22c24bb4] {
    position: relative;
    top: 2px;
    margin-right: 6px;
}
.edit .edit-item[data-v-22c24bb4] {
    cursor: pointer;
    display: inline-block;
}
.editDivInMode[data-v-22c24bb4] {
  margin-bottom: 25px;
}
.actions[data-v-22c24bb4] {
  display: inline-block;
  color: "[theme:bodyText, default:#333]";
}
.actions .ms-Icon[data-v-22c24bb4] {
    font-size: 13px;
    position: relative;
    top: 1px;
    margin-right: 5px;
    margin-left: 15px;
}
.actions .action-item[data-v-22c24bb4] {
    cursor: pointer;
    margin: 10px 0 10px 0;
    display: inline-block;
}


`;

    return component;

});
